#include <gdal/ogr_spatialref.h>
#include <ogr_spatialref.h>
#include <cstdint>
/**
    @brief stores the cases from marching squars for one elevation level
 */
class CaseMap
{
    public:
        uint8_t* cases; //!< pointer to the first case in the array. uint8_t is a 8 bit unsigned integer 
        int width; //!< width of image in cases
        int height; //!< height of image in cases
        OGRSpatialReference reference_system;

        CaseMap(int width, int height, uint8_t* cases, OGRSpatialReference reference_system);
        int get_case(int x,int y);
};