#include <gdal/ogr_spatialref.h>
/**
    @brief stores the contents of a tif file with float32 values
 */
class HeightMap
{
    public:
        float* data;
        int width; //!< width of image in pixels
        int height; //!< height of image in pixels
        float min; //!< Minimum value in image
        float max; //!< Maximum value in image
        OGRSpatialReference reference_system;

        HeightMap(const char* filepath);
        float get_pixel(int x,int y);
};